# Uses of Interface
org.apache.sling.graphql.api.pagination.PageInfo

Packages that use PageInfo
Package
Description
org.apache.sling.graphql.api.pagination
This package contains APIs which are independent of a specific implementation of the underlying graphQL engine.
org.apache.sling.graphql.helpers
This package contains APIs which are independent of a specific implementation of the underlying graphQL engine.

## Uses of PageInfo in org.apache.sling.graphql.api.pagination

Methods in org.apache.sling.graphql.api.pagination that return PageInfo
Modifier and Type
Method
Description
`@NotNull PageInfo`
Connection.`getPageInfo()`

## Uses of PageInfo in org.apache.sling.graphql.helpers

Classes in org.apache.sling.graphql.helpers that implement PageInfo
Modifier and Type
Class
Description
`final class`
`GenericConnection<T>`
As per https://relay.dev/graphql/connections.htm a "connection" is a page of results for a paginated query.
Methods in org.apache.sling.graphql.helpers that return PageInfo
Modifier and Type
Method
Description
`@NotNull PageInfo`
GenericConnection.`getPageInfo()`